Android 7.1.1 等舊版本的老機器,將無法瀏覽網頁!要怎麼解決這個問題?

·2 分鐘 (閱讀時間)

為了能讓使用者更放心地瀏覽網路,多數網站都已經轉為透過 HTTPS 傳輸資料,網站的名稱已經從原本的「http://」變成了「https://」;多了一個 「S」差別看起來不大,但網站傳輸通訊過程使用 SSL/TLS 進行加密,對於使用的資安卻是相當重要。

不過,由於 SSL 憑證收費價格沒有一定標準,個人網站多數會選擇使用免費 SSL 憑證,但日前非營利網頁認證機構 Let’s Encrypt 公告,由於合作的信任憑證即將到期,自 2021 年起 Android 7.1.1 之前版本的系統可能會無法信任該機構發行憑證,導致無法瀏覽多數網頁,使用者必須換新手機或是使用改用 FireFox 瀏覽器。

Let’s Encrypt 日前公告,在 5 年前也就是 2015 年與 IdenTrust 交互簽章取得的 DST Root X3 憑證信任即將在 2021 年 9 月 1 日到期,儘管 Let’s Encrypt 已經推出自家的根憑證 ISRG Root X1 ,但由於部分 OS 作業系統自 2016 年以來從未進行更新,導致憑證出現相容性問題。

尤其是 Android 7.1.1 之前版本的裝置使用 Chrome 瀏覽網頁時,可能會因為不信任 Let’s Encrypt 的 SSL 新憑證,導致使用者無法瀏覽部分網頁。

而根據 Android Studio 統計,截至目前有 33.8% 的裝置都是支援 Android 7.1.1 以前的作業系統,也就是說這些裝置很可能會在幾個月後就會遇到憑證問題。

如果你手邊的裝置是 Android 7.1.1 以前的作業系統的話,Let’s Encrypt 建議安裝 Firefox Mobile App 瀏覽網頁,因為它能相容讓 Android 5.0 及更高版本的裝置可以繼續瀏覽網頁。但如果想一勞永逸解決憑證問題的話,建議最好還是更換新機比較好。

圖片及資料來源:Android Police 、Let’s Encrypt

原文網址:三嘻行動哇 

看更多三嘻行動哇文章
iPhone 13 最新傳聞,郭明錤透露 Apple 將著重升級超廣角鏡頭
iPhone 12 爆災情,傳部分螢幕色調偏黃,還出現詭異綠光